Index: gnu/usr.bin/man/lib/gripes.c
===================================================================
RCS file: /home/dcvs/src/gnu/usr.bin/man/lib/gripes.c,v
retrieving revision 1.1
diff -u -r1.1 gripes.c
--- gnu/usr.bin/man/lib/gripes.c	17 Jun 2003 02:50:14 -0000	1.1
+++ gnu/usr.bin/man/lib/gripes.c	24 Aug 2008 22:48:26 -0000
@@ -28,8 +28,7 @@
 extern char *prognam;
 
 void
-gripe_no_name (section)
-     char *section;
+gripe_no_name (char *section)
 {
   if (section)
     fprintf (stderr, "What manual page do you want from section %s?\n",
@@ -41,8 +40,7 @@
 }
 
 void
-gripe_reading_man_file (name)
-     char *name;
+gripe_reading_man_file (char *name)
 {
   fprintf (stderr, "Read access denied for file %s\n", name);
 
@@ -50,9 +48,7 @@
 }
 
 void
-gripe_converting_name (name, to_cat)
-     char *name;
-     int to_cat;
+gripe_converting_name (char *name, int to_cat)
 {
   if (to_cat)
     fprintf (stderr, "Error converting %s to cat name\n", name);
@@ -65,8 +61,7 @@
 }
 
 void
-gripe_system_command (status)
-     int status;
+gripe_system_command (int status)
 {
   fprintf (stderr, "Error executing formatting or display command.\n");
   fprintf (stderr, "system command exited with status %d\n", status);
@@ -75,8 +70,7 @@
 }
 
 void
-gripe_not_found (name, section)
-     char *name, *section;
+gripe_not_found (char *name, char *section)
 {
   if (section)
     fprintf (stderr, "No entry for %s in section %s of the manual\n",
@@ -88,8 +82,7 @@
 }
 
 void
-gripe_incompatible (s)
-     char *s;
+gripe_incompatible (char *s)
 {
   fprintf (stderr, "%s: incompatible options %s\n", prognam, s);
 
@@ -99,8 +92,7 @@
 }
 
 void
-gripe_getting_mp_config (file)
-     char *file;
+gripe_getting_mp_config (char *file)
 {
   fprintf (stderr, "%s: unable to find the file %s\n", prognam, file);
 
@@ -110,8 +102,7 @@
 }
 
 void
-gripe_reading_mp_config (file)
-     char *file;
+gripe_reading_mp_config (char *file)
 {
   fprintf (stderr, "%s: unable to make sense of the file %s\n", prognam, file);
 
@@ -121,8 +112,7 @@
 }
 
 void
-gripe_invalid_section (section)
-     char *section;
+gripe_invalid_section (char *section)
 {
   fprintf (stderr, "%s: invalid section (%s) selected\n", prognam, section);
 
@@ -132,7 +122,7 @@
 }
 
 void
-gripe_manpath ()
+gripe_manpath (void)
 {
   fprintf (stderr, "%s: manpath is null\n", prognam);
 
@@ -142,9 +132,7 @@
 }
 
 void
-gripe_alloc (bytes, object)
-     int bytes;
-     char *object;
+gripe_alloc (int bytes, char *object)
 {
   fprintf (stderr, "%s: can't malloc %d bytes for %s\n",
 	   prognam, bytes, object);
@@ -155,8 +143,7 @@
 }
 
 void
-gripe_roff_command_from_file (file)
-     char *file;
+gripe_roff_command_from_file (char *file)
 {
   fprintf (stderr, "Error parsing *roff command from file %s\n", file);
 
@@ -164,7 +151,7 @@
 }
 
 void
-gripe_roff_command_from_env ()
+gripe_roff_command_from_env (void)
 {
   fprintf (stderr, "Error parsing MANROFFSEQ.  Using system defaults.\n");
 
@@ -172,7 +159,7 @@
 }
 
 void
-gripe_roff_command_from_command_line ()
+gripe_roff_command_from_command_line (void)
 {
   fprintf (stderr, "Error parsing *roff command from command line.\n");
 
Index: gnu/usr.bin/man/lib/util.c
===================================================================
RCS file: /home/dcvs/src/gnu/usr.bin/man/lib/util.c,v
retrieving revision 1.1
diff -u -r1.1 util.c
--- gnu/usr.bin/man/lib/util.c	17 Jun 2003 02:50:14 -0000	1.1
+++ gnu/usr.bin/man/lib/util.c	24 Aug 2008 23:03:35 -0000
@@ -37,8 +37,7 @@
  * Extract last element of a name like /foo/bar/baz.
  */
 char *
-mkprogname (s)
-     register char *s;
+mkprogname (char *s)
 {
   char *t;
 
@@ -52,10 +51,9 @@
 }
 
 void
-downcase (s)
-     unsigned char *s;
+downcase (unsigned char *s)
 {
-  register unsigned char c;
+  unsigned char c;
   while ((c = *s) != '\0')
     {
       if (isalpha (c))
@@ -76,15 +74,13 @@
  *   stat on a and b fails  returns   -3
  */
 int
-is_newer (fa, fb)
-  register char *fa;
-  register char *fb;
+is_newer (char *fa, char *fb)
 {
   struct stat fa_sb;
   struct stat fb_sb;
-  register int fa_stat;
-  register int fb_stat;
-  register int status = 0;
+  int fa_stat;
+  int fb_stat;
+  int status = 0;
 
   fa_stat = stat (fa, &fa_sb);
   if (fa_stat != 0)
@@ -104,11 +100,10 @@
  * Is path a directory?
  */
 int
-is_directory (path)
-     char *path;
+is_directory (char *path)
 {
   struct stat sb;
-  register int status;
+  int status;
 
   status = stat (path, &sb);
 
@@ -124,8 +119,7 @@
  * (handy for counting successes :-).
  */
 int
-do_system_command (command)
-     char *command;
+do_system_command (char *command)
 {
   int status = 0;
   extern int debug;
Index: gnu/usr.bin/man/man/glob.c
===================================================================
RCS file: /home/dcvs/src/gnu/usr.bin/man/man/glob.c,v
retrieving revision 1.2
diff -u -r1.2 glob.c
--- gnu/usr.bin/man/man/glob.c	3 Feb 2004 19:22:59 -0000	1.2
+++ gnu/usr.bin/man/man/glob.c	24 Aug 2008 23:04:01 -0000
@@ -115,8 +115,7 @@
 static int glob_match_after_star ();
 
 #ifdef __DragonFly__
-static int collate_range_cmp (a, b)
-	int a, b;
+static int collate_range_cmp (int a, int b)
 {
 	int r;
 	static char s[2][2];
@@ -134,11 +133,10 @@
 /* Return nonzero if PATTERN has any special globbing chars in it.  */
 
 int
-glob_pattern_p (pattern)
-     char *pattern;
+glob_pattern_p (char *pattern)
 {
-  register char *p = pattern;
-  register char c;
+  char *p = pattern;
+  char c;
   int open = 0;
 
   while ((c = *p++) != '\0')
@@ -186,12 +184,10 @@
    `*' and `?' do not match `.' at the beginning of TEXT.  */
 
 int
-glob_match (pattern, text, dot_special)
-     char *pattern, *text;
-     int dot_special;
+glob_match (char *pattern, char *text, int dot_special)
 {
-  register char *p = pattern, *t = text;
-  register char c;
+  char *p = pattern, *t = text;
+  char c;
 
   while ((c = *p++) != '\0')
     switch (c)
@@ -215,7 +211,7 @@
 
       case '[':
 	{
-	  register char c1 = *t++;
+	  char c1 = *t++;
 	  int invert;
 	  char *cp1 = p;
 
@@ -230,7 +226,7 @@
 	  c = *p++;
 	  while (1)
 	    {
-	      register char cstart = c, cend = c;
+	      char cstart = c, cend = c;
 
 	      if (c == '\\')
 		{
@@ -303,11 +299,10 @@
 /* Like glob_match, but match PATTERN against any final segment of TEXT.  */
 
 static int
-glob_match_after_star (pattern, text)
-     char *pattern, *text;
+glob_match_after_star (char *pattern, char *text)
 {
-  register char *p = pattern, *t = text;
-  register char c, c1;
+  char *p = pattern, *t = text;
+  char c, c1;
 
   while ((c = *p++) == '?' || c == '*')
     if (c == '?' && *t++ == '\0')
@@ -349,9 +344,7 @@
    Look in errno for more information.  */
 
 char **
-glob_vector (pat, dir)
-     char *pat;
-     char *dir;
+glob_vector (char *pat, char *dir)
 {
   struct globval
   {
@@ -360,14 +353,14 @@
   };
 
   DIR *d;
-  register struct direct *dp;
+  struct direct *dp;
   struct globval *lastlink;
-  register struct globval *nextlink;
-  register char *nextname;
+  struct globval *nextlink;
+  char *nextname;
   unsigned int count;
   int lose;
-  register char **name_vector;
-  register unsigned int i;
+  char **name_vector;
+  unsigned int i;
 #ifdef ALLOCA_MISSING
   struct globval *templink;
 #endif
@@ -474,10 +467,9 @@
    Return NULL if out of memory.  */
 
 static char **
-glob_dir_to_array (dir, array)
-     char *dir, **array;
+glob_dir_to_array (char *dir, char **array)
 {
-  register unsigned int i, l;
+  unsigned int i, l;
   int add_slash = 0;
   char **result;
 
@@ -524,8 +516,7 @@
    do not match an initial period if noglob_dot_filenames is nonzero.  */
 
 char **
-glob_filename (pathname)
-     char *pathname;
+glob_filename (char *pathname)
 {
   char **result;
   unsigned int result_size;
@@ -565,7 +556,7 @@
   if (glob_pattern_p (directory_name))
     {
       char **directories;
-      register unsigned int i;
+      unsigned int i;
 
       if (directory_name[directory_len - 1] == '/')
 	directory_name[directory_len - 1] = '\0';
@@ -598,7 +589,7 @@
 	  else
 	    {
 	      char **array = glob_dir_to_array (directories[i], temp_results);
-	      register unsigned int l;
+	      unsigned int l;
 
 	      l = 0;
 	      while (array[l] != NULL)
@@ -673,7 +664,7 @@
  memory_error:
   if (result != NULL)
     {
-      register unsigned int i;
+      unsigned int i;
       for (i = 0; result[i] != NULL; ++i)
 	free (result[i]);
       free ((char *) result);
@@ -691,9 +682,7 @@
 
 #ifdef TEST
 
-main (argc, argv)
-     int argc;
-     char **argv;
+main (int argc, char **argv)
 {
   char **value;
   int i, optind;
Index: gnu/usr.bin/man/man/man.c
===================================================================
RCS file: /home/dcvs/src/gnu/usr.bin/man/man/man.c,v
retrieving revision 1.9
diff -u -r1.9 man.c
--- gnu/usr.bin/man/man/man.c	10 Jul 2008 18:29:51 -0000	1.9
+++ gnu/usr.bin/man/man/man.c	24 Aug 2008 23:04:23 -0000
@@ -134,9 +134,7 @@
 #endif
 
 int
-main (argc, argv)
-     int argc;
-     char **argv;
+main (int argc, char **argv)
 {
   int status = 0;
   char *nextarg;
@@ -221,7 +219,7 @@
 }
 
 void
-usage ()
+usage (void)
 {
   static char usage_string[1024] = "%s, version %s\n\n";
 
@@ -290,9 +288,7 @@
 }
 
 char **
-add_dir_to_mpath_list (mp, p)
-     char **mp;
-     char *p;
+add_dir_to_mpath_list (char **mp, char *p)
 {
   int status;
 
@@ -320,14 +316,12 @@
  * Get options from the command line and user environment.
  */
 void
-man_getopt (argc, argv)
-     register int argc;
-     register char **argv;
-{
-  register int c;
-  register char *p;
-  register char *end;
-  register char **mp;
+man_getopt (int argc, char **argv)
+{
+  int c;
+  char *p;
+  char *end;
+  char **mp;
   extern void downcase ();
   extern char *manpath ();
 
@@ -524,11 +518,9 @@
  * named directories like .../man3f.  Yuk.
  */
 char *
-is_section (name, path)
-     char *name;
-     char *path;
+is_section (char *name, char *path)
 {
-  register char **vs;
+  char **vs;
   char *temp, *end, *loc;
   char **plist;
   int x;
@@ -580,11 +572,10 @@
  * Handle the apropos option.  Cheat by using another program.
  */
 void
-do_apropos (name)
-     register char *name;
+do_apropos (char *name)
 {
-  register int len;
-  register char *command;
+  int len;
+  char *command;
 
   len = strlen (APROPOS) + strlen (name) + 4;
 
@@ -602,11 +593,10 @@
  * Handle the whatis option.  Cheat by using another program.
  */
 void
-do_whatis (name)
-     register char *name;
+do_whatis (char *name)
 {
-  register int len;
-  register char *command;
+  int len;
+  char *command;
 
   len = strlen (WHATIS) + strlen (name) + 4;
 
@@ -625,13 +615,11 @@
  * or a name of the form ...man/cat1/name.1 to ...man/man1/name.1
  */
 char *
-convert_name (name, to_cat)
-     register char *name;
-     register int to_cat;
-{
-  register char *to_name;
-  register char *t1;
-  register char *t2 = NULL;
+convert_name (char *name, int to_cat)
+{
+  char *to_name;
+  char *t1;
+  char *t2 = NULL;
 
 #ifdef DO_COMPRESS
   if (to_cat)
@@ -703,12 +691,7 @@
  * Note that globbing is only done when the section is unspecified.
  */
 char **
-glob_for_file (path, section, longsec, name, cat)
-     char *path;
-     char *section;
-     char *longsec;
-     char *name;
-     int cat;
+glob_for_file (char *path, char *section, char *longsec, char *name, int cat)
 {
   char pathname[FILENAME_MAX];
   char **gf;
@@ -757,14 +740,9 @@
  * globbing.
  */
 char **
-make_name (path, section, longsec, name, cat)
-     char *path;
-     char *section;
-     char *longsec;
-     char *name;
-     int cat;
+make_name (char *path, char *section, char *longsec, char *name, int cat)
 {
-  register int i = 0;
+  int i = 0;
   static char *names[3];
   char buf[FILENAME_MAX];
 
@@ -798,8 +776,7 @@
 }
 
 char *
-get_expander (file)
-     char *file;
+get_expander (char *file)
 {
   char *end = file + (strlen (file) - 1);
 
@@ -826,10 +803,9 @@
  * Simply display the preformatted page.
  */
 int
-display_cat_file (file)
-     register char *file;
+display_cat_file (char *file)
 {
-  register int found;
+  int found;
   char command[FILENAME_MAX];
 
   found = 0;
@@ -857,9 +833,7 @@
  * the input file name is returned.
  */
 char *
-ultimate_source (name, path)
-     char *name;
-     char *path;
+ultimate_source (char *name, char *path)
 {
   static  char buf[BUFSIZ];
   static  char ult[FILENAME_MAX];
@@ -909,12 +883,7 @@
 }
 
 void
-add_directive (first, d, file, buf, bufsize)
-     int *first;
-     char *d;
-     char *file;
-     char *buf;
-     int bufsize;
+add_directive (int *first, char *d, char *file, char *buf, int bufsize)
 {
   if (strcmp (d, "") != 0)
     {
@@ -932,11 +901,7 @@
 }
 
 int
-parse_roff_directive (cp, file, buf, bufsize)
-  char *cp;
-  char *file;
-  char *buf;
-  int bufsize;
+parse_roff_directive (char *cp, char *file, char *buf, int bufsize)
 {
   char c;
   char *exp;
@@ -1061,8 +1026,7 @@
 }
 
 char *
-make_roff_command (file)
-     char *file;
+make_roff_command (char *file)
 {
 #if HAVE_LIBZ > 0
   gzFile fp;
@@ -1153,14 +1117,14 @@
 sig_t ohup, oint, oquit, oterm;
 static char temp[FILENAME_MAX];
 
-void cleantmp()
+void cleantmp(int signo __unused)
 {
 	unlink(temp);
 	exit(1);
 }
 
 void
-set_sigs()
+set_sigs(void)
 {
   ohup = signal(SIGHUP, cleantmp);
   oint = signal(SIGINT, cleantmp);
@@ -1169,7 +1133,7 @@
 }
 
 void
-restore_sigs()
+restore_sigs(void)
 {
   signal(SIGHUP, ohup);
   signal(SIGINT, oint);
@@ -1182,10 +1146,7 @@
  * 1 for success and 0 for failure.
  */
 int
-make_cat_file (path, man_file, cat_file, manid)
-     register char *path;
-     register char *man_file;
-     register char *cat_file;
+make_cat_file (char *path, char *man_file, char *cat_file, int manid)
 {
   int s, f;
   FILE *fp, *pp;
@@ -1344,13 +1305,10 @@
  * file at this point.
  */
 int
-format_and_display (path, man_file, cat_file)
-     register char *path;
-     register char *man_file;
-     register char *cat_file;
+format_and_display (char *path, char *man_file, char *cat_file)
 {
   int status;
-  register int found;
+  int found;
   char *roff_command;
   char command[FILENAME_MAX];
 
@@ -1481,18 +1439,13 @@
  * section.
  */
 int
-try_section (path, section, longsec, name, glob)
-     char *path;
-     char *section;
-     char *longsec;
-     char *name;
-     int glob;
-{
-  register int found = 0;
-  register int to_cat;
-  register int cat;
-  register char **names;
-  register char **np;
+try_section (char *path, char *section, char *longsec, char *name, int glob)
+{
+  int found = 0;
+  int to_cat;
+  int cat;
+  char **names;
+  char **np;
   static int arch_search;
   char buf[FILENAME_MAX];
 
@@ -1565,8 +1518,8 @@
     {
       for (np = names; *np != NULL; np++)
 	{
-	  register char *cat_file = NULL;
-	  register char *man_file;
+	  char *cat_file = NULL;
+	  char *man_file;
 
 	  man_file = ultimate_source (*np, path);
 
@@ -1602,13 +1555,12 @@
  *
  */
 int
-man (name)
-     char *name;
+man (char *name)
 {
-  register int found;
-  register int glob;
-  register char **mp;
-  register char **sp;
+  int found;
+  int glob;
+  char **mp;
+  char **sp;
 #ifdef __DragonFly__
   int l_found;
   char buf[FILENAME_MAX];
@@ -1734,7 +1686,7 @@
 }
 
 char **
-get_section_list ()
+get_section_list (void)
 {
   int i;
   char *p;
Index: gnu/usr.bin/man/manpath/manpath.c
===================================================================
RCS file: /home/dcvs/src/gnu/usr.bin/man/manpath/manpath.c,v
retrieving revision 1.5
diff -u -r1.5 manpath.c
--- gnu/usr.bin/man/manpath/manpath.c	10 Jul 2008 18:29:51 -0000	1.5
+++ gnu/usr.bin/man/manpath/manpath.c	24 Aug 2008 23:04:38 -0000
@@ -63,9 +63,7 @@
  * Examine user's PATH and print a reasonable MANPATH.
  */
 int
-main(argc, argv)
-     int argc;
-     char **argv;
+main(int argc, char **argv)
 {
   int c;
   int quiet;
@@ -109,7 +107,7 @@
 }
 
 void
-usage ()
+usage (void)
 {
   fprintf (stderr, "usage: %s [-dLq]\n", prognam);
   exit (1);
@@ -135,12 +133,11 @@
  * Example: $HOME/bin will look for $HOME/man
  */
 char *
-manpath (perrs)
-     register int perrs;
+manpath (int perrs)
 {
-  register int len;
-  register char *manpathlist;
-  register char *path;
+  int len;
+  char *manpathlist;
+  char *path;
   int  get_dirlist ();
   char *def_path ();
   char *get_manpath ();
@@ -204,7 +201,7 @@
  * This is ugly.
  */
 int
-get_dirlist ()
+get_dirlist (void)
 {
   int i;
   char *bp;
@@ -334,12 +331,11 @@
  * and optional (if they exist) manpaths only.
  */
 char *
-def_path (perrs)
-     int perrs;
+def_path (int perrs)
 {
-  register int len;
-  register char *manpathlist, *p;
-  register DIRLIST *dlp;
+  int len;
+  char *manpathlist, *p;
+  DIRLIST *dlp;
 
   len = 0;
   dlp = list;
@@ -399,18 +395,16 @@
  * to the manpath.
  */
 char *
-get_manpath (perrs, path)
-     register int perrs;
-     register char *path;
+get_manpath (int perrs, char *path)
 {
-  register int len;
-  register char *tmppath;
-  register char *t;
-  register char *p;
-  register char **lp;
-  register char *end;
-  register char *manpathlist;
-  register DIRLIST *dlp;
+  int len;
+  char *tmppath;
+  char *t;
+  char *p;
+  char **lp;
+  char *end;
+  char *manpathlist;
+  DIRLIST *dlp;
   void add_dir_to_list ();
   char *has_subdirs ();
   int fnd = 0;
@@ -529,10 +523,7 @@
  * Add a directory to the manpath list if it isn't already there.
  */
 void
-add_dir_to_list (lp, dir, perrs)
-     char **lp;
-     char *dir;
-     int perrs;
+add_dir_to_list (char **lp, char *dir, int perrs)
 {
   extern char *strdup ();
   int status;
@@ -574,11 +565,10 @@
  * subdirectories.
  */
 char *
-has_subdirs (p)
-     register char *p;
+has_subdirs (char *p)
 {
   int len;
-  register char *t;
+  char *t;
 
   len = strlen (p);
 
Index: lib/libalias/alias_db.c
===================================================================
RCS file: /home/dcvs/src/lib/libalias/alias_db.c,v
retrieving revision 1.6
diff -u -r1.6 alias_db.c
--- lib/libalias/alias_db.c	5 Nov 2007 08:58:35 -0000	1.6
+++ lib/libalias/alias_db.c	24 Aug 2008 22:33:31 -0000
@@ -1976,7 +1976,7 @@
 
 
 struct in_addr
-GetDefaultAliasAddress()
+GetDefaultAliasAddress(void)
 {
     return aliasAddress;
 }
Index: lib/libatm/atm_addr.c
===================================================================
RCS file: /home/dcvs/src/lib/libatm/atm_addr.c,v
retrieving revision 1.3
diff -u -r1.3 atm_addr.c
--- lib/libatm/atm_addr.c	23 Sep 2004 21:39:08 -0000	1.3
+++ lib/libatm/atm_addr.c	24 Aug 2008 22:34:26 -0000
@@ -69,10 +69,7 @@
  *
  */
 int
-get_hex_atm_addr(in, out, len)
-	char	*in;
-	u_char	*out;
-	int	len;
+get_hex_atm_addr(char *in, u_char *out, int len)
 {
 	int	c_type, c_value, i, out_len, state, val = 0;
 
@@ -211,8 +208,7 @@
  *
  */
 char *
-format_atm_addr(addr)
-	Atm_addr *addr;
+format_atm_addr(Atm_addr *addr)
 {
 	int		i;
 	char		*nsap_format;
Index: lib/libatm/cache_key.c
===================================================================
RCS file: /home/dcvs/src/lib/libatm/cache_key.c,v
retrieving revision 1.2
diff -u -r1.2 cache_key.c
--- lib/libatm/cache_key.c	17 Jun 2003 04:26:41 -0000	1.2
+++ lib/libatm/cache_key.c	24 Aug 2008 22:34:53 -0000
@@ -66,11 +66,7 @@
  *
  */
 void
-scsp_cache_key(ap, ip, ol, op)
-	Atm_addr	*ap;
-	struct in_addr	*ip;
-	int		ol;
-	char 		*op;
+scsp_cache_key(Atm_addr *ap, struct in_addr *ip, int ol, char *op)
 {
 	int	i, len;
 	char	buff[32], digest[16];
Index: lib/libatm/ioctl_subr.c
===================================================================
RCS file: /home/dcvs/src/lib/libatm/ioctl_subr.c,v
retrieving revision 1.4
diff -u -r1.4 ioctl_subr.c
--- lib/libatm/ioctl_subr.c	23 Sep 2004 21:39:08 -0000	1.4
+++ lib/libatm/ioctl_subr.c	24 Aug 2008 22:38:02 -0000
@@ -85,9 +85,7 @@
  *
  */
 int
-do_info_ioctl(req, buf_len)
-	struct atminfreq	*req;
-	int 			buf_len;
+do_info_ioctl(struct atminfreq *req, int buf_len)
 {
 	int	rc, s;
 	caddr_t	buf;
@@ -151,9 +149,7 @@
  *
  */
 int
-get_vcc_info(intf, vccp)
-	char			*intf;
-	struct air_vcc_rsp	**vccp;
+get_vcc_info(char *intf, struct air_vcc_rsp **vccp)
 {
 	int	buf_len = sizeof(struct air_vcc_rsp) * 100;
 	struct atminfreq	air;
@@ -189,9 +185,7 @@
  *
  */
 int
-get_subnet_mask(intf, mask)
-	char			*intf;
-	struct sockaddr_in	*mask;
+get_subnet_mask(char *intf, struct sockaddr_in *mask)
 {
 	int			rc, s;
 	struct ifreq		req;
@@ -246,8 +240,7 @@
  *
  */
 int
-get_mtu(intf)
-	char	*intf;
+get_mtu(char *intf)
 {
 	int			rc, s;
 	struct ifreq		req;
@@ -300,8 +293,7 @@
  *
  */
 int
-verify_nif_name(name)
-	char *name;
+verify_nif_name(char *name)
 {
 	int	rc, s;
 	struct atminfreq	air;
@@ -371,9 +363,7 @@
  *
  */
 int
-get_cfg_info ( intf, cfgp )
-        char                    *intf;
-        struct air_cfg_rsp      **cfgp;
+get_cfg_info(char *intf, struct air_cfg_rsp **cfgp)
 {
         int     buf_len = sizeof(struct air_cfg_rsp) * 4;
         struct atminfreq air;
@@ -409,9 +399,7 @@
  *
  */
 int
-get_intf_info ( intf, intp )
-        char                    *intf;
-        struct air_int_rsp      **intp;
+get_intf_info(char *intf, struct air_int_rsp **intp)
 {
         int     buf_len = sizeof(struct air_int_rsp) * 4;
         struct atminfreq air;
@@ -448,9 +436,7 @@
  *
  */
 int
-get_netif_info ( intf, netp )
-        char                    *intf;
-        struct air_netif_rsp    **netp;
+get_netif_info(char *intf, struct air_netif_rsp **netp)
 {
         int     buf_len = sizeof(struct air_netif_rsp) * 10;
         struct atminfreq air;
@@ -472,5 +458,3 @@
         return ( buf_len );
 
 }
-
-
Index: lib/libatm/ip_addr.c
===================================================================
RCS file: /home/dcvs/src/lib/libatm/ip_addr.c,v
retrieving revision 1.4
diff -u -r1.4 ip_addr.c
--- lib/libatm/ip_addr.c	25 Nov 2007 01:28:22 -0000	1.4
+++ lib/libatm/ip_addr.c	24 Aug 2008 22:38:05 -0000
@@ -73,8 +73,7 @@
  *
  */
 struct sockaddr_in *
-get_ip_addr(p)
-	char	*p;
+get_ip_addr(char *p)
 {
 	struct hostent			*ip_host;
 	static struct sockaddr_in	sin;
@@ -120,8 +119,7 @@
  *
  */
 char *
-format_ip_addr(addr)
-	struct in_addr	*addr;
+format_ip_addr(struct in_addr *addr)
 {
 	static char	host_name[MAXHOSTNAMELEN + 18];
 	char		*ip_num;
Index: lib/libatm/ip_checksum.c
===================================================================
RCS file: /home/dcvs/src/lib/libatm/ip_checksum.c,v
retrieving revision 1.3
diff -u -r1.3 ip_checksum.c
--- lib/libatm/ip_checksum.c	25 Oct 2004 19:38:01 -0000	1.3
+++ lib/libatm/ip_checksum.c	24 Aug 2008 22:38:25 -0000
@@ -69,9 +69,7 @@
  *
  */
 short
-ip_checksum(addr, count)
-	char 	*addr;
-	int	count;
+ip_checksum(char *addr, int count)
 {
 	/* Compute Internet Checksum for "count" bytes
 	 * beginning at location "addr".
Index: lib/libatm/timer.c
===================================================================
RCS file: /home/dcvs/src/lib/libatm/timer.c,v
retrieving revision 1.2
diff -u -r1.2 timer.c
--- lib/libatm/timer.c	17 Jun 2003 04:26:41 -0000	1.2
+++ lib/libatm/timer.c	24 Aug 2008 22:38:58 -0000
@@ -75,7 +75,7 @@
  *
  */
 static void
-timer_tick()
+timer_tick(void)
 {
 	/*
 	 * Bump the timer flag
@@ -99,7 +99,7 @@
  *
  */
 void
-timer_proc()
+timer_proc(void)
 {
 	Harp_timer	*htp;
 	void		(*f)();
@@ -178,7 +178,7 @@
  *
  */
 int
-init_timer()
+init_timer(void)
 {
 	int			rc = 0;
 	struct itimerval	timeval;
@@ -226,7 +226,7 @@
  *
  */
 int
-block_timer()
+block_timer(void)
 {
 	/*
 	 * Block the SIGALRM signal
@@ -249,8 +249,7 @@
  *
  */
 void
-enable_timer(mask)
-	int	mask;
+enable_timer(int mask)
 {
 	/*
 	 * Set the signal mask
Index: lib/libc_r/uthread/uthread_main_np.c
===================================================================
RCS file: /home/dcvs/src/lib/libc_r/uthread/uthread_main_np.c,v
retrieving revision 1.3
diff -u -r1.3 uthread_main_np.c
--- lib/libc_r/uthread/uthread_main_np.c	30 May 2005 20:50:53 -0000	1.3
+++ lib/libc_r/uthread/uthread_main_np.c	24 Aug 2008 22:39:19 -0000
@@ -36,7 +36,7 @@
  * Provide the equivalent to Solaris thr_main() function
  */
 int
-_pthread_main_np()
+_pthread_main_np(void)
 {
 
 	if (!_thread_initial)
Index: lib/libc_r/uthread/uthread_multi_np.c
===================================================================
RCS file: /home/dcvs/src/lib/libc_r/uthread/uthread_multi_np.c,v
retrieving revision 1.3
diff -u -r1.3 uthread_multi_np.c
--- lib/libc_r/uthread/uthread_multi_np.c	30 May 2005 20:50:53 -0000	1.3
+++ lib/libc_r/uthread/uthread_multi_np.c	24 Aug 2008 22:39:29 -0000
@@ -36,7 +36,7 @@
 #include <pthread_np.h>
 
 int
-_pthread_multi_np()
+_pthread_multi_np(void)
 {
 
 	/* Return to multi-threaded scheduling mode: */
Index: lib/libc_r/uthread/uthread_single_np.c
===================================================================
RCS file: /home/dcvs/src/lib/libc_r/uthread/uthread_single_np.c,v
retrieving revision 1.3
diff -u -r1.3 uthread_single_np.c
--- lib/libc_r/uthread/uthread_single_np.c	30 May 2005 20:50:53 -0000	1.3
+++ lib/libc_r/uthread/uthread_single_np.c	24 Aug 2008 22:39:37 -0000
@@ -35,7 +35,7 @@
 #include <pthread.h>
 #include <pthread_np.h>
 
-int _pthread_single_np()
+int _pthread_single_np(void)
 {
 
 	/* Enter single-threaded (non-POSIX) scheduling mode: */
Index: lib/libedit/chared.c
===================================================================
RCS file: /home/dcvs/src/lib/libedit/chared.c,v
retrieving revision 1.8
diff -u -r1.8 chared.c
--- lib/libedit/chared.c	5 May 2007 00:27:39 -0000	1.8
+++ lib/libedit/chared.c	24 Aug 2008 23:13:30 -0000
@@ -525,8 +525,7 @@
 }
 
 private void
-ch__clearmacro(el)
-	EditLine *el;
+ch__clearmacro(EditLine *el)
 {
 	c_macro_t *ma = &el->el_chared.c_macro;
 	while (ma->level >= 0)
@@ -538,9 +537,7 @@
  *	Returns 1 if successful, 0 if not.
  */
 protected int
-ch_enlargebufs(el, addlen)
-	EditLine *el;
-	size_t addlen;
+ch_enlargebufs(EditLine *el, size_t addlen)
 {
 	size_t sz, newsz;
 	char *newbuffer, *oldbuf, *oldkbuf;
Index: lib/libedit/readline.c
===================================================================
RCS file: /home/dcvs/src/lib/libedit/readline.c,v
retrieving revision 1.4
diff -u -r1.4 readline.c
--- lib/libedit/readline.c	17 May 2008 22:48:04 -0000	1.4
+++ lib/libedit/readline.c	24 Aug 2008 23:13:48 -0000
@@ -1661,7 +1661,7 @@
 }
 
 void
-rl_callback_read_char()
+rl_callback_read_char(void)
 {
 	int count = 0, done = 0;
 	const char *buf = el_gets(e, &count);
Index: lib/libncp/ipx.c
===================================================================
RCS file: /home/dcvs/src/lib/libncp/ipx.c,v
retrieving revision 1.3
diff -u -r1.3 ipx.c
--- lib/libncp/ipx.c	12 Nov 2003 20:21:31 -0000	1.3
+++ lib/libncp/ipx.c	24 Aug 2008 23:15:46 -0000
@@ -288,12 +288,8 @@
 
 
 int
-if_ipxscan(addrcount, sdl, ifm, ifam, addr)
-	int addrcount;
-	struct	sockaddr_dl *sdl;
-	struct if_msghdr *ifm;
-	struct ifa_msghdr *ifam;
-	struct ipx_addr *addr;
+if_ipxscan(int addrcount, struct sockaddr_dl *sdl, struct if_msghdr *ifm,
+    struct ifa_msghdr *ifam, struct ipx_addr *addr)
 {
 	struct	rt_addrinfo info;
 	struct sockaddr_ipx *sipx;
@@ -334,9 +330,7 @@
 #define ADVANCE(x, n) (x += ROUNDUP((n)->sa_len))
 
 static void
-rt_xaddrs(cp, cplim, rtinfo)
-	caddr_t cp, cplim;
-	struct rt_addrinfo *rtinfo;
+rt_xaddrs(caddr_t cp, caddr_t cplim, struct rt_addrinfo *rtinfo)
 {
 	struct sockaddr *sa;
 	int i;
Index: lib/libncp/ncpl_subr.c
===================================================================
RCS file: /home/dcvs/src/lib/libncp/ncpl_subr.c,v
retrieving revision 1.4
diff -u -r1.4 ncpl_subr.c
--- lib/libncp/ncpl_subr.c	17 Feb 2005 13:59:35 -0000	1.4
+++ lib/libncp/ncpl_subr.c	24 Aug 2008 23:16:20 -0000
@@ -259,10 +259,7 @@
 #define	EMSG	""
 
 int
-ncp_getopt(nargc, nargv, ostr)
-	int nargc;
-	char * const *nargv;
-	const char *ostr;
+ncp_getopt(int nargc, char * const *nargv, const char *ostr)
 {
 	static char *place = EMSG;		/* option letter processing */
 	char *oli;				/* option letter list index */
Index: lib/libopie/opieextra.c
===================================================================
RCS file: /home/dcvs/src/lib/libopie/opieextra.c,v
retrieving revision 1.3
diff -u -r1.3 opieextra.c
--- lib/libopie/opieextra.c	4 Aug 2005 17:27:09 -0000	1.3
+++ lib/libopie/opieextra.c	24 Aug 2008 23:16:36 -0000
@@ -86,7 +86,7 @@
 
 /* Get current hash type */
 const char *
-opie_get_algorithm()
+opie_get_algorithm(void)
 {
 	return(opie_algorithm_table[opie_hash_type].name);
 }
Index: lib/libsctp/sctp_sys_calls.c
===================================================================
RCS file: /home/dcvs/src/lib/libsctp/sctp_sys_calls.c,v
retrieving revision 1.2
diff -u -r1.2 sctp_sys_calls.c
--- lib/libsctp/sctp_sys_calls.c	28 Jun 2006 23:14:43 -0000	1.2
+++ lib/libsctp/sctp_sys_calls.c	24 Aug 2008 23:17:01 -0000
@@ -652,9 +652,7 @@
 
 #ifdef SYS_sctp_peeloff
 int
-sctp_peeloff(sd, assoc_id)
-      int sd;
-      sctp_assoc_t assoc_id;
+sctp_peeloff(int sd, sctp_assoc_t assoc_id)
 {
 	return (syscall(SYS_sctp_peeloff, sd, assoc_id));
 }
Index: lib/libvgl/keyboard.c
===================================================================
RCS file: /home/dcvs/src/lib/libvgl/keyboard.c,v
retrieving revision 1.2
diff -u -r1.2 keyboard.c
--- lib/libvgl/keyboard.c	17 Jun 2003 04:26:52 -0000	1.2
+++ lib/libvgl/keyboard.c	24 Aug 2008 22:40:26 -0000
@@ -75,7 +75,7 @@
 }
 
 void
-VGLKeyboardEnd()
+VGLKeyboardEnd(void)
 {
   if (VGLKeyboardMode != -1) {
     ioctl(0, KDSKBMODE, VGLKeyboardMode);
@@ -84,7 +84,7 @@
 }
 
 int
-VGLKeyboardGetCh()
+VGLKeyboardGetCh(void)
 {
   unsigned char ch = 0;
 
Index: lib/libvgl/main.c
===================================================================
RCS file: /home/dcvs/src/lib/libvgl/main.c,v
retrieving revision 1.3
diff -u -r1.3 main.c
--- lib/libvgl/main.c	19 Aug 2007 11:39:11 -0000	1.3
+++ lib/libvgl/main.c	24 Aug 2008 23:23:57 -0000
@@ -58,7 +58,7 @@
 static struct winsize VGLOldWSize;
 
 void
-VGLEnd()
+VGLEnd(void)
 {
 struct vt_mode smode;
 
@@ -101,7 +101,7 @@
 }
 
 static void 
-VGLAbort()
+VGLAbort(int signo __unused)
 {
   VGLAbortPending = 1;
   signal(SIGINT, SIG_IGN);
@@ -112,7 +112,7 @@
 }
 
 static void
-VGLSwitch()
+VGLSwitch(int signo __unused)
 {
   if (!VGLOnDisplay)
     VGLOnDisplay = 1;
@@ -284,7 +284,7 @@
 }
 
 void
-VGLCheckSwitch()
+VGLCheckSwitch(void)
 {
   if (VGLAbortPending) {
     VGLEnd();
Index: lib/libvgl/mouse.c
===================================================================
RCS file: /home/dcvs/src/lib/libvgl/mouse.c,v
retrieving revision 1.2
diff -u -r1.2 mouse.c
--- lib/libvgl/mouse.c	17 Jun 2003 04:26:52 -0000	1.2
+++ lib/libvgl/mouse.c	24 Aug 2008 22:41:42 -0000
@@ -90,7 +90,7 @@
 static int VGLMouseButtons = 0;
 
 void
-VGLMousePointerShow()
+VGLMousePointerShow(void)
 {
   byte buf[MOUSE_IMG_SIZE*MOUSE_IMG_SIZE];
   VGLBitmap buffer =
@@ -120,7 +120,7 @@
 }
 
 void
-VGLMousePointerHide()
+VGLMousePointerHide(void)
 {
   byte crtcidx, crtcval, gdcidx, gdcval;
 
@@ -188,7 +188,7 @@
 }
 
 void
-VGLMouseSetStdImage()
+VGLMouseSetStdImage(void)
 {
   if (VGLMouseShown == VGL_MOUSESHOW)
     VGLMousePointerHide();
@@ -270,7 +270,7 @@
 }
 
 void
-VGLMouseUnFreeze()
+VGLMouseUnFreeze(void)
 {
   if (VGLMouseFrozen > 1) {
     VGLMouseFrozen = 0;
Index: lib/libvgl/simple.c
===================================================================
RCS file: /home/dcvs/src/lib/libvgl/simple.c,v
retrieving revision 1.2
diff -u -r1.2 simple.c
--- lib/libvgl/simple.c	17 Jun 2003 04:26:52 -0000	1.2
+++ lib/libvgl/simple.c	24 Aug 2008 22:42:01 -0000
@@ -303,7 +303,7 @@
 }
 
 void
-VGLRestorePalette()
+VGLRestorePalette(void)
 {
   int i;
 
@@ -323,7 +323,7 @@
 }
 
 void
-VGLSavePalette()
+VGLSavePalette(void)
 {
   int i;
 
